Skip to main content
GET
/
api
/
v1
/
suppliers
/
{supplier_id}
La Pyme SDK
import { Lapyme } from "lapyme";

const lapyme = new Lapyme({
  bearerAuth: process.env["LAPYME_API_KEY"] ?? "",
});

const supplier = await lapyme.suppliers.getSupplier({
  supplierId: "9c692e8b-0f9a-4f7c-8b99-061a2eb188ae",
});
{
  "request_id": "<string>",
  "data": {
    "object": "<string>",
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "company_name": "<string>",
    "description": "<string>",
    "email": "<string>",
    "phone": "<string>",
    "tax_id": "<string>",
    "tax_id_type": "<string>",
    "tax_category": "<string>",
    "payment_term_id": "<string>",
    "is_active": true,
    "country": "<string>",
    "province_id": "<string>",
    "city": "<string>",
    "address": "<string>",
    "apartment": "<string>",
    "postal_code": "<string>",
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
}

Authorizations

Authorization
string
header
required

Incluí tu API key en el header Authorization con el prefijo Bearer.

Path Parameters

supplier_id
string<uuid>
required

Response

Proveedor obtenido exitosamente

request_id
string
required
data
object
required